
%define rel 4
%define gitdate git20121225

Name: nepomuktvnamer
Summary: Nepomuk Service which automatically fetches information about TV show episodes
Version: 0.2.0
Release: %mkrel -c %{gitdate} %{rel}
Group: Video/Television
License: GPLv2 and LGPLv2
URL: https://projects.kde.org/projects/playground/multimedia/nepomuktvnamer
#Source0: http://download.kde.org/unstable/nepomuk/%name-%version.tar.bz2
# Using git to get/use nepomuk2 api support
# git archive --format=tar --remote=git://anongit.kde.org/nepomuktvnamer --prefix=nepomuktvnamer-%{gitdate}/ master -v -o nepomuktvnamer-%gitdate.tar
# xz nepomuktvnamer-%{gitdate}.tar

Source0: nepomuktvnamer-%{gitdate}.tar.xz
BuildRequires: pkgconfig(shared-desktop-ontologies)
BuildRequires: nepomuk-core-devel
BuildRequires: tvdb-devel >= 0.3.35
Requires: nepomuk

%description
A command line tool, service, and desktop action to fetch information about
TV Shows from thetvdb.com and store it into Nepomuk.

%files
%_kde_bindir/nepomuktvnamer
%_kde_libdir/kde4/kio_tvshow.so
%_kde_libdir/kde4/nepomuktvnamerservice.so
%_kde_libdir/kde4/nepomuktvshowthumbnail.so
%_kde_libdir/kde4/plasma_engine_nepomuktvshow.so
%_kde_appsdir/plasma/plasmoids/org.kde.nepomuk.tvshowreleases/contents/ui/main.qml
%_kde_appsdir/plasma/plasmoids/org.kde.nepomuk.tvshowreleases/metadata.desktop
%_kde_appsdir/plasma/services/nepomuktvshow.operations
%_kde_services/ServiceMenus/nepomuk-set-watched.desktop
%_kde_services/ServiceMenus/nepomuktvnamer.desktop
%_kde_services/nepomuktvnamerservice.desktop
%_kde_services/nepomuktvshowthumbnail.desktop
%_kde_services/plasma-applet-nepomuktvshow.desktop
%_kde_services/plasma-engine-nepomuktvshow.desktop
%_kde_services/tvshow.protocol

#------------------------------------------------------------------------------

%prep
%setup -q -n %name-%gitdate
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4
%make

%install
%makeinstall_std -C build

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.2.0-0.git20121225.4.mga4
+ Revision: 521714
- Mageia 4 Mass Rebuild

* Wed Jan 23 2013 barjac <barjac> 0.2.0-0.git20121225.3.mga3
+ Revision: 391651
- update group

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 26 2012 mikala <mikala> 0.2.0-0.git20121225.1.mga3
+ Revision: 335457
- Requires nepomuk (it's obvious but...)

* Wed Dec 26 2012 mikala <mikala> 0.2.0-0.git20121225.0.mga3
+ Revision: 335277
- imported package nepomuktvnamer

